<!DOCTYPE html>
<html>
	<head>
		<title>Traduction sémantic HTML </title>
		<meta charset="utf-8">
	</head>
		<!-- <style type="text/css">
		body {
			background-image:url('img/website_bg.jpg');
			}
			.titre {
				border: 10px solid silver;
				border-radius: 10px;
				font-family: Arial;
				font-size: 70px;
				color: red;
				background-image: url('img/plan.png');
			}
			.sous_titre{
				border-radius: 10px;
				border-bottom: 3px solid silver;
				color: black;
			}
			.ar1 *{
				/*text-align: center;*/
				font-size: 40px;
			}
			.balises {
				list-style-type: none;
				color: red;
				font-size: 40px;
			}

		</style> -->
<body>
	<center><h1 class="titre">Traduction de la page n°19 / n°20</h1></center>
	<center><h2 class="sous_titre">SEMANTIC HTML</h2></center>
	<main>
		<article class="ar1">
			<p>L'html plus connu sous le nom de "Markup language", ce qui signifie qu'il est composé de deux choses. </p>
			<h3>Le contenu</h3>
			<p>Pour décrire ce contenu , en HTML , le balisage est representé sous differents <i>Clés</i> (Tags)  </p>
			<aside><strong>Balisage</strong>
			<p>Vous pouvez utiliser ces balises pour décrire les pièces individuelles du contenu tout au long du site web</p>
			<p>Lorsque le balisage d'un site est sémantiques , cela signifie que les balises sont approriées en clair votre site est fonctionelle. </p></aside>
		</article>

		<article class="ar1">
			<p>Dans un élément <'p'> on peut ajouter du texte , avec le début du code et la fin à travers les balises ( Clique droit -> voir code source ) .</p>
			<p>Exemple :<strong>Ceci est un paragraphe</strong></p>
			<p>En clair les differents type de balises ont chacune leurs fonctionnalités.</p>
			<p>Un parahgraphe peut-être une phrase courte ou bien plus à vous de voir </p>
			<p>Ce qu'il faut retenir c'est que la balise P est sémantique comme il faut décrire ce qui vient à l'intérieur.</p>
			<p>Un site web peut avoir differents types , alors l'html as beaucoups de types d'étiquette ( Tags 'en') </p>
			<p>Pensez à tout types de contenu , que vous voudriez retransmettre en html (Ecrivez le en HTML). </p>
			<h3>Differents types de balises</h3>
				<ul class="balises">
					<li>Balises pour les liens</li>
					<li>Balises formulaires</li>
					<li>Les images, les vidéos</li>
					<li>les en-tête,les pied de page</li>
				</ul>
			<h1>Pourquoi c'est important le semantic en HTML</h1>
		</article>
		<article class="ar1">
			<p>Avant qu'un navigateur ne puisse afficher quoi que ce soit à l'écran il doit lire l'Html.</p>
			<p>Pour l'afficher il faut qu'il comprenne le code envoyer via les balises.</p>
			<p>Chaque balises en HTML a ses propres styles par défauts donc differents comportements. </p>
			<p>Si une balise est mal saisie elle fonctionnera pas et le navigateur n'affichera pas le contenu de cette derniere.</p>
			<p>En conclusion le marquage semantic est trés important car il permet l'échange entre l'utilisateur et le site web , mais également de travailler de manière cohérente et utilisable.</p>
		</article>
		<h1>Styles</h1>
		<article>
			<ul>
				<li>Biscuits au chocolat</li>
				<li>Rapide et facile , oeey, goeey chocolat cokies à partir de zero à la maison .Miam </li>
				<li>Gratter à la maison, Yum.</li>
				<li>Ingrédients</li>
				<li>3 tasses</li>
				<li>1 tasse de beurre</li>
				<li>2 tasses de chocolat</li>
			</ul>
		</article>
		<main>
			<h1>Cokies au chocolat</h1>
			<ul>
				<li>3 Tasses de farine</li>
				<li>1 Tasse de beurre</li>
				<li>2 tasses de chocolat</li>
			</ul>
		</main>
		<article>
			<p>Le premier exemple utilise les balises générique <'div'> et <'span'> pour marquer le contenu.</p>
			<p>Tandis que le second exemple utilise le balisage sémantique comme "<'P'> pour les paragraphes.</p>
			<p><'h1'> et <'H2'> pour les en-tête et <'ol'> et <'li'> pour les listes.</p>
			<p>En Améliorant la sémantique tout au long du marquage , vous aurais alors un aperçu comme un site opérationelle .</p>
		</article>
		<h1>Fonctionnalités</h1>
		<article>
			<p>En dehors de la façon dont les choses ressemblent , le balisage semantic peut également améliorer la façon dont les choses fonctionnent.</p>
			<p>Regardez ce qui arrive (ou ne se produit pas) lorsque nous essayons d'intéragir avec ces deux pages Web.</p>
			<img src="img/ex_sem.PNG">
			<ol>
				<li>Dans le premier exemple , nous utilisons un CSS pour rajouter du style sans balisage semantique exactement.</li>
				<li>Le même que le balisage sémantique. Mais même si les deux se ressemblent.</li>
				<li>Ils ne fonctionnents pas de la même manière.</li>
				<li>Les balises génériques comme <'div'> et <'span'> n'ont aucune valeur par défaut.</li>
				<li>Fonctionnalité, donc rien ne se produit lorsque nous essayons de nous concentrer ou de cliquer dessus. Une sémantique.</li>
				<li>Tag comme <'bouton'> possède une fonctionnalité par défaut, il peut donc être focalisé et cliqué sans avoir besoin de code supplémentaire.</li>
			</ol>
		</article>
		<h1>Conclusion</h1>
		<article>
			<p>Assurez vous de bien écriture de façon sémantique, car il améliore la signification</p>
			<p>Le balisage sémantique rend les choses plus facile à écrire et à maintenir,</p>
			<p>Mais il peut également économiser beaucoup de temps dans le développement en activant les styles par défaut et les fonctionnalités </p>
			<p>Encore mieux : les sites Web avec balisage sémantique sont plus, utilisable et peut offrir une meilleure expérience que les sites Web écrit en HTML qui est NON SEMANTIQUE.</p>
		</article>
	</main>


</body>
</html>